- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Public Attributes

# Preferences Class Reference

This reference page is linked to from the following overview topics: Application-Level Functionality.

Search for all occurrences

## Detailed Description

Holds Mudbox application preferences.

Most of the data members will be removed from the SDK in future releases. For more information about adding an item to preferences see Preferences::Integer.

Definition at line 70 of file preferences.h.

`#include <preferences.h>`

Inheritance diagram for Preferences:
[legend]

List of all members.

## Classes
class | Bool
| This class is a simple boolean preference, appears as a checkbox. See Preferences::Integer for details. More...
class | Color
| This class represents a color item in the preferences. See Preferences::Integer for mode details. More...
class | Enum
| This class represents a enum item, appears as a combo box. See Preferences::Enum for mode details. More...
class | Float
| This class represents a float value, appears as an editbox and a slider. See Preferences::Integer for mode details. More...
class | Integer
| This class holds a simple integer preference. More...
class | String
| This class represents a string preference value. See Preferences::Integer for mode details. More...
class | Vector
| This class represents a 3d vector item. See Preferences::Integer for mode details. More...
## Public Member Functions
| Preferences (void)
| ~Preferences (void)
void | Serialize (Stream &)
| Serializes the node.
void | ProcessLine (QString &sSrc, QString &sName, QString &sValue)
void | SavePaths (void)
bool | LoadPaths (void)
QString | FindSettings (QString &sDir)
QString | DefaultDataPath () const
Attribute * | RegisterVariable (const QString &sName, const QString &sCategory, const QString &sNameTr, const QString &sCategoryTr, Attribute::AttributeType eType, const QString &sDefaultValue)
afloatr * | RegisterFloatVariable (const QString &sName, const QString &sCategory, const QString &sNameTr, const QString &sCategoryTr, float fDefaultValue)
abool * | RegisterBoolVariable (const QString &sName, const QString &sCategory, const QString &sNameTr, const QString &sCategoryTr, bool bDefaultValue)
astring * | RegisterStringVariable (const QString &sName, const QString &sCategory, const QString &sNameTr, const QString &sCategoryTr, const QString &sDefaultValue)
acolor * | RegisterColorVariable (const QString &sName, const QString &sCategory, const QString &sNameTr, const QString &sCategoryTr, const mudbox::Color &cDefaultValue)
aint * | RegisterIntegerVariable (const QString &sName, const QString &sCategory, const QString &sNameTr, const QString &sCategoryTr, int iDefaultValue)
avector * | RegisterVectorVariable (const QString &sName, const QString &sCategory, const QString &sNameTr, const QString &sCategoryTr, const mudbox::Vector &vDefaultValue)
aenum * | RegisterEnumVariable (const QString &sName, const QString &sCategory, const QString &sNameTr, const QString &sCategoryTr, int iDefaultValue)
void | OnNodeEvent (const Attribute &, NodeEventType)
| This function is called if an event occurs with any of the attributes of the node.
const ClassDesc * | SelectedMeshRenderer ()
## Public Attributes
abool | m_bCheckFrustum
abool | m_bMultiThreadRender
abool | m_bHighlightBrushArea
aint | m_iFastBrushLevel
abool | m_bFocusWhenEmpty
abool | m_bFocusWhenNotEmpty
abool | m_bZoomWhileFocus
abool | m_bPickBothSide
abool | m_bUseVideoMemory
abool | m_bRemoveLevels
abool | m_bRemoveOctree
abool | m_bCreateUVs
abool | m_bSmoothUV
abool | m_bSmoothPos
abool | m_bEnableCreasing
abool | m_bPreserveBorders
abool | m_bPreserveHardEdges
abool | m_bCreaseHardEdges
aenum | m_iBoundaryRule
aenum | m_eDefaultMaterial
abool | m_bDisableLODChange
abool | m_bNoPaintUndo
aenum | m_eSoloLayerVisibility
aint | m_fMinPenPressure
aint | m_fMaxPenPressure
aint | m_iGridSize
aint | m_iGridSteps
aint | m_iDoubleClickTime
abool | m_bWireOnShaded
abool | m_bShowPickedFace
aint | m_iWireLevel
aenum | m_eImportAutofocus
bool | m_bFlatLighting
bool | m_bFacetedShading
bool | m_bLighting
abool | m_bDisplayCreaseNormals
afloatr | m_fCameraDollySensitivity
afloatr | m_fCameraTrackSensitivity
afloatr | m_fCameraRotateSensitivity
abool | m_bOptimizeMeshes
abool | m_bShowLayerMask
abool | m_bUseDraftRender
abool | m_bShowFrozenVertices
aint | m_iPointRenderRarity
aint | m_iDraftRenderMinFaceCount
abool | m_bHUDProjectedSubdiv
abool | m_bHUDSelected
abool | m_bHUDVisible
abool | m_bHUDFPS
abool | m_bHUDRendered
aint | m_iHUDProjectedXSubdivisionLevel
aint | m_iMinutesToAlarm
aint | m_iBuildUpRate
afloatr | m_fPressureTreshold
afloatr | m_fStencilRotateSensitivity
abool | m_bForceVidmemRender
abool | m_bUseLocalYForCameraRotation
aenum | m_iCameraControlMode
afloatr | m_fRollArea
abool | m_bSaveIndicator
abool | m_bSelectPicked
abool | m_bLocalFocus
aint | m_iMirrorPlanes
Store< mudbox::Vector > | m_aMirrorPlaneNormals
Store< mudbox::Vector > | m_aMirrorPlanePositions
abool | m_bMirrorLocal
abool | m_bUseQtFileDialog
afloatr | m_fSmartFocus
acolor | m_cViewportCenter
acolor | m_cViewportTop
acolor | m_cViewportBottom
acolor | m_cViewportFlat
acolor | m_cGrid
acolor | m_cGridAxis
acolor | m_cLocked
acolor | m_cSelection
acolor | m_cMask
acolor | m_cActiveLayer
acolor | m_cInactiveLayer
acolor | m_cLayerMask
acolor | m_cSceneInfoBg
acolor | m_cFalloffCurve
acolor | m_cFalloffHull
acolor | m_cFalloffFill
aenum | m_eUnitLinear
aenum | m_eFaceSelectionMode
aenum | m_eObjectSelectionMode
float | m_aLinearUnitRates [4]
astring | m_sDefaultObjDir
astring | m_sDefaultMudDir
astring | m_sDefaultStampDir
astring | m_sDefaultStencilDir
astring | m_sDefaultIconDir
astring | m_sDefaultImagePlaneDir
astring | m_sDefaultTextureLayerDir
astring | m_sDefaultPSDDir
astring | m_sDefaultSaveScreenDir
astring | m_sLogPath
astring | m_sTempPath
astring | m_sSettingsPath
astring | m_sDataPath
astring | m_sTexturePath
astring | m_sMayaInstallPath
abool | m_bPathsChanged
abool | m_bExpertHidesSouth
abool | m_bExpertHidesEast
abool | m_bExpertHidesMenu
abool | m_bExpertHidesStatus
aint | m_iDragBoxSize
abool | m_bShowLearningMovies
abool | m_bShowWelcomeDialog
abool | m_bShowViewCube
abool | m_bHUDInfoMessage
abool | m_bHUDHelpMessage
aenum | m_iHelpType
astring | m_sHelpLocation
abool | m_bCompressFiles
abool | m_bOBJThumbnail
abool | m_bMUDContainsView
abool | m_bMUDContainsBrush
abool | m_bCull
abool | m_bCreateBackup
abool | m_bShowTileInfo
aenum | m_bRenderSelectedPerFace
aint | m_iMapWidth
aint | m_iMapHeight
astring | m_sOutputDir
abool | m_bExtractNormal
abool | m_bExtractDisplacement
abool | m_bSmoothNormals
aint | m_iSmoothLevel
aint | m_iNormalSpace
afloat | m_fRayTravel
aint | m_eRayCenter
abool | m_bPickBothSides
aint | m_iEdgeBleed
aint | m_iNormalFormat
aint | m_iDisplacementFormat
aint | m_iSubdivLow
astring | m_sNormalFileName
astring | m_sDisplacementFileName
abool | m_bSkipEmptyMaps
aint | m_iExtUDim
aint | m_iUStart
abool | m_bSelectedFacesOnly
astring | m_sLowObjectName
astring | m_sHighObjectName
abool | m_bInvertTangent
abool | m_bInvertBinormal
afloat | m_fAreaTreshold
astring | m_sTileRange
afloat | m_fMiddleValue
aint | m_iFirstTileIndex
aint | m_iDispUDim
aint | m_iMaskChannel
aint | m_iNegativeDisplacementChannel
aint | m_iPositiveDisplacementChannel
aint | m_iXSubdivisionLevel
astring | m_sObjectName
astring | m_sDisplacementFileMask
astring | m_sMaskFileMask
aenum | m_eTextureRatio
afloat | m_fTextureRatio
aenum | m_eTiffCompression
avoid | m_lExpertModeLabel
abool | m_bMultisampling
astring | m_sNextCommand
Store< Attribute * > | m_aPluginAttributes
aenum | m_eMeshRenderers
afloatr | m_fPaintBleedDistance
| Specifies a distance how far the edge bleeding should go over UV edges during painting.
afloatr | m_fPaintBrushOffset
abool | m_bFastDryBrush
astring | m_sExportFilter
abool | m_bHideEULANag
aint | m_movieWidth
| movie-recording preferences
aint | m_movieHeight
aint | m_movieRecordFps
aint | m_moviePlaybackFps
abool | m_moviePauseWhenIdle
abool | m_movieUses3dView
astring | m_sPaintLayerFormat
| Paint layer dialog preferences.
aint | m_iPaintLayerSize
AttributeLocale | m_langui
| i18n
AttributeLocale | m_langhelp
AttributeLocale | m_locale
abool | m_bUseGigatexelEngine
| Gigatexel engine.
afloatr | m_fPaintBufferMemoryBudget
abool | m_bLoadProxyTextures
astring | m_sUILayoutPath
| UI layout preferences.
abool | m_bLockUILayout
aenum | m_eInteractionModeSelected
abool | m_bUseTwoChannelTextures
abool | m_bDisplayCurvePoints
bool | m_bLoadingPaths

## Constructor & Destructor Documentation

Preferences | ( | void |  | ) |

~Preferences | ( | void |  | ) |

## Member Function Documentation

void Serialize | ( | Stream & | s | ) | `[virtual]`

Search for all occurrences

Serializes the node.

Override this function in your plug-in to save and load attributes and custom data with the Mudbox file.

Reimplemented from Node.

void ProcessLine | ( | QString & | sSrc,
|  | QString & | sName,
|  | QString & | sValue
| ) |  |

Search for all occurrences

void SavePaths | ( | void |  | ) |

Search for all occurrences

bool LoadPaths | ( | void |  | ) |

Search for all occurrences

QString FindSettings | ( | QString & | sDir | ) |

Search for all occurrences

QString DefaultDataPath | ( |  | ) | const

Search for all occurrences

Attribute* RegisterVariable | ( | const QString & | sName,
|  | const QString & | sCategory,
|  | const QString & | sNameTr,
|  | const QString & | sCategoryTr,
|  | Attribute::AttributeType | eType,
|  | const QString & | sDefaultValue
| ) |  |

Search for all occurrences

afloatr* RegisterFloatVariable | ( | const QString & | sName,
|  | const QString & | sCategory,
|  | const QString & | sNameTr,
|  | const QString & | sCategoryTr,
|  | float | fDefaultValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 85 of file preferences.h.

    { return (afloatr *)RegisterVariable( sName, sCategory, sNameTr, sCategoryTr, Attribute::typeFloat, QString("%1").arg(fDefaultValue) ); };

abool* RegisterBoolVariable | ( | const QString & | sName,
|  | const QString & | sCategory,
|  | const QString & | sNameTr,
|  | const QString & | sCategoryTr,
|  | bool | bDefaultValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 86 of file preferences.h.

    { return (abool *)RegisterVariable( sName, sCategory, sNameTr, sCategoryTr, Attribute::typeBool, bDefaultValue ? "true" : "false" ); };

astring* RegisterStringVariable | ( | const QString & | sName,
|  | const QString & | sCategory,
|  | const QString & | sNameTr,
|  | const QString & | sCategoryTr,
|  | const QString & | sDefaultValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 87 of file preferences.h.

    { return (astring *)RegisterVariable( sName, sCategory, sNameTr, sCategoryTr, Attribute::typeString, sDefaultValue ); };

acolor* RegisterColorVariable | ( | const QString & | sName,
|  | const QString & | sCategory,
|  | const QString & | sNameTr,
|  | const QString & | sCategoryTr,
|  | const mudbox::Color & | cDefaultValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 88 of file preferences.h.

    { return (acolor *)RegisterVariable( sName, sCategory, sNameTr, sCategoryTr, Attribute::typeColor, QString("%1 %2 %3 %4").arg(cDefaultValue.r).arg(cDefaultValue.g).arg(cDefaultValue.b).arg(cDefaultValue.a) ); };

aint* RegisterIntegerVariable | ( | const QString & | sName,
|  | const QString & | sCategory,
|  | const QString & | sNameTr,
|  | const QString & | sCategoryTr,
|  | int | iDefaultValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 89 of file preferences.h.

    { return (aint *)RegisterVariable( sName, sCategory, sNameTr, sCategoryTr, Attribute::typeInt, QString("%1").arg(iDefaultValue) ); };

avector* RegisterVectorVariable | ( | const QString & | sName,
|  | const QString & | sCategory,
|  | const QString & | sNameTr,
|  | const QString & | sCategoryTr,
|  | const mudbox::Vector & | vDefaultValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 90 of file preferences.h.

    { return (avector *)RegisterVariable( sName, sCategory, sNameTr, sCategoryTr, Attribute::typeVector, QString("%f %f %f").arg(vDefaultValue.x).arg(vDefaultValue.y).arg(vDefaultValue.z ) ); };

aenum* RegisterEnumVariable | ( | const QString & | sName,
|  | const QString & | sCategory,
|  | const QString & | sNameTr,
|  | const QString & | sCategoryTr,
|  | int | iDefaultValue
| ) |  | `[inline]`

Search for all occurrences

Definition at line 91 of file preferences.h.

    { return (aenum *)RegisterVariable( sName, sCategory, sNameTr, sCategoryTr, Attribute::typeEnum, QString("%1").arg(iDefaultValue) ); };

void OnNodeEvent | ( | const Attribute & | cAttribute,
|  | NodeEventType | cType
| ) |  | `[virtual]`

Search for all occurrences

This function is called if an event occurs with any of the attributes of the node.

All derived classes should override this function to be able to handle attribute events.

Parameters:

  cAttribute | The attribute which caused the event. The attribute has a special == operator to make it easier to implement this function. You can write the following:
              void MyClass::OnNodeEvent( const Attribute &cAttribute, NodeEventType cType )
              {
                  if ( cAttribute == myAttribute0 )
                  {
                      ...
                  }
                  else if ( cAttribute == myAttribute1 )
                  {
                      ...
                  }
              }
  This comparison will check the address of the two attributes and NOT their values.
  cType | Type of the event occured.

Reimplemented from Node.

const ClassDesc* SelectedMeshRenderer | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 95 of file preferences.h.

    { return m_pSelectedMeshRenderer; }

## Member Data Documentation

abool m_bCheckFrustum

Search for all occurrences

Definition at line 97 of file preferences.h.

abool m_bMultiThreadRender

Search for all occurrences

Definition at line 97 of file preferences.h.

abool m_bHighlightBrushArea

Search for all occurrences

Definition at line 97 of file preferences.h.

aint m_iFastBrushLevel

Search for all occurrences

Definition at line 98 of file preferences.h.

abool m_bFocusWhenEmpty

Search for all occurrences

Definition at line 99 of file preferences.h.

abool m_bFocusWhenNotEmpty

Search for all occurrences

Definition at line 99 of file preferences.h.

abool m_bZoomWhileFocus

Search for all occurrences

Definition at line 99 of file preferences.h.

abool m_bPickBothSide

Search for all occurrences

Definition at line 100 of file preferences.h.

abool m_bUseVideoMemory

Search for all occurrences

Definition at line 101 of file preferences.h.

abool m_bRemoveLevels

Search for all occurrences

Definition at line 101 of file preferences.h.

abool m_bRemoveOctree

Search for all occurrences

Definition at line 101 of file preferences.h.

abool m_bCreateUVs

Search for all occurrences

Definition at line 101 of file preferences.h.

abool m_bSmoothUV

Search for all occurrences

Definition at line 101 of file preferences.h.

abool m_bSmoothPos

Search for all occurrences

Definition at line 101 of file preferences.h.

abool m_bEnableCreasing

Search for all occurrences

Definition at line 102 of file preferences.h.

abool m_bPreserveBorders

Search for all occurrences

Definition at line 102 of file preferences.h.

abool m_bPreserveHardEdges

Search for all occurrences

Definition at line 102 of file preferences.h.

abool m_bCreaseHardEdges

Search for all occurrences

Definition at line 102 of file preferences.h.

aenum m_iBoundaryRule

Search for all occurrences

Definition at line 103 of file preferences.h.

aenum m_eDefaultMaterial

Search for all occurrences

Definition at line 104 of file preferences.h.

abool m_bDisableLODChange

Search for all occurrences

Definition at line 105 of file preferences.h.

abool m_bNoPaintUndo

Search for all occurrences

Definition at line 106 of file preferences.h.

aenum m_eSoloLayerVisibility

Search for all occurrences

Definition at line 107 of file preferences.h.

aint m_fMinPenPressure

Search for all occurrences

Definition at line 109 of file preferences.h.

aint m_fMaxPenPressure

Search for all occurrences

Definition at line 109 of file preferences.h.

aint m_iGridSize

Search for all occurrences

Definition at line 110 of file preferences.h.

aint m_iGridSteps

Search for all occurrences

Definition at line 110 of file preferences.h.

aint m_iDoubleClickTime

Search for all occurrences

Definition at line 111 of file preferences.h.

abool m_bWireOnShaded

Search for all occurrences

Definition at line 112 of file preferences.h.

abool m_bShowPickedFace

Search for all occurrences

Definition at line 113 of file preferences.h.

aint m_iWireLevel

Search for all occurrences

Definition at line 114 of file preferences.h.

aenum m_eImportAutofocus

Search for all occurrences

Definition at line 115 of file preferences.h.

bool m_bFlatLighting

Search for all occurrences

Definition at line 116 of file preferences.h.

bool m_bFacetedShading

Search for all occurrences

Definition at line 117 of file preferences.h.

bool m_bLighting

Search for all occurrences

Definition at line 118 of file preferences.h.

abool m_bDisplayCreaseNormals

Search for all occurrences

Definition at line 119 of file preferences.h.

afloatr m_fCameraDollySensitivity

Search for all occurrences

Definition at line 121 of file preferences.h.

afloatr m_fCameraTrackSensitivity

Search for all occurrences

Definition at line 122 of file preferences.h.

afloatr m_fCameraRotateSensitivity

Search for all occurrences

Definition at line 123 of file preferences.h.

abool m_bOptimizeMeshes

Search for all occurrences

Definition at line 125 of file preferences.h.

abool m_bShowLayerMask

Search for all occurrences

Definition at line 126 of file preferences.h.

abool m_bUseDraftRender

Search for all occurrences

Definition at line 127 of file preferences.h.

abool m_bShowFrozenVertices

Search for all occurrences

Definition at line 127 of file preferences.h.

aint m_iPointRenderRarity

Search for all occurrences

Definition at line 128 of file preferences.h.

aint m_iDraftRenderMinFaceCount

Search for all occurrences

Definition at line 129 of file preferences.h.

abool m_bHUDProjectedSubdiv

Search for all occurrences

Definition at line 130 of file preferences.h.

abool m_bHUDSelected

Search for all occurrences

Definition at line 130 of file preferences.h.

abool m_bHUDVisible

Search for all occurrences

Definition at line 130 of file preferences.h.

abool m_bHUDFPS

Search for all occurrences

Definition at line 130 of file preferences.h.

abool m_bHUDRendered

Search for all occurrences

Definition at line 130 of file preferences.h.

aint m_iHUDProjectedXSubdivisionLevel

Search for all occurrences

Definition at line 131 of file preferences.h.

aint m_iMinutesToAlarm

Search for all occurrences

Definition at line 132 of file preferences.h.

aint m_iBuildUpRate

Search for all occurrences

Definition at line 132 of file preferences.h.

afloatr m_fPressureTreshold

Search for all occurrences

Definition at line 133 of file preferences.h.

afloatr m_fStencilRotateSensitivity

Search for all occurrences

Definition at line 134 of file preferences.h.

abool m_bForceVidmemRender

Search for all occurrences

Definition at line 135 of file preferences.h.

abool m_bUseLocalYForCameraRotation

Search for all occurrences

Definition at line 136 of file preferences.h.

aenum m_iCameraControlMode

Search for all occurrences

Definition at line 137 of file preferences.h.

afloatr m_fRollArea

Search for all occurrences

Definition at line 138 of file preferences.h.

abool m_bSaveIndicator

Search for all occurrences

Definition at line 140 of file preferences.h.

abool m_bSelectPicked

Search for all occurrences

Definition at line 140 of file preferences.h.

abool m_bLocalFocus

Search for all occurrences

Definition at line 140 of file preferences.h.

aint m_iMirrorPlanes

Search for all occurrences

Definition at line 142 of file preferences.h.

Store<mudbox::Vector> m_aMirrorPlaneNormals

Search for all occurrences

Definition at line 143 of file preferences.h.

Store<mudbox::Vector> m_aMirrorPlanePositions

Search for all occurrences

Definition at line 144 of file preferences.h.

abool m_bMirrorLocal

Search for all occurrences

Definition at line 145 of file preferences.h.

abool m_bUseQtFileDialog

Search for all occurrences

Definition at line 147 of file preferences.h.

afloatr m_fSmartFocus

Search for all occurrences

Definition at line 148 of file preferences.h.

acolor m_cViewportCenter

Search for all occurrences

Definition at line 149 of file preferences.h.

acolor m_cViewportTop

Search for all occurrences

Definition at line 149 of file preferences.h.

acolor m_cViewportBottom

Search for all occurrences

Definition at line 149 of file preferences.h.

acolor m_cViewportFlat

Search for all occurrences

Definition at line 149 of file preferences.h.

acolor m_cGrid

Search for all occurrences

Definition at line 149 of file preferences.h.

acolor m_cGridAxis

Search for all occurrences

Definition at line 149 of file preferences.h.

acolor m_cLocked

Search for all occurrences

Definition at line 149 of file preferences.h.

acolor m_cSelection

Search for all occurrences

Definition at line 150 of file preferences.h.

acolor m_cMask

Search for all occurrences

Definition at line 150 of file preferences.h.

acolor m_cActiveLayer

Search for all occurrences

Definition at line 150 of file preferences.h.

acolor m_cInactiveLayer

Search for all occurrences

Definition at line 150 of file preferences.h.

acolor m_cLayerMask

Search for all occurrences

Definition at line 150 of file preferences.h.

acolor m_cSceneInfoBg

Search for all occurrences

Definition at line 151 of file preferences.h.

acolor m_cFalloffCurve

Search for all occurrences

Definition at line 151 of file preferences.h.

acolor m_cFalloffHull

Search for all occurrences

Definition at line 151 of file preferences.h.

acolor m_cFalloffFill

Search for all occurrences

Definition at line 151 of file preferences.h.

aenum m_eUnitLinear

Search for all occurrences

Definition at line 152 of file preferences.h.

aenum m_eFaceSelectionMode

Search for all occurrences

Definition at line 153 of file preferences.h.

aenum m_eObjectSelectionMode

Search for all occurrences

Definition at line 153 of file preferences.h.

float m_aLinearUnitRates[4]

Search for all occurrences

Definition at line 154 of file preferences.h.

astring m_sDefaultObjDir

Search for all occurrences

Definition at line 155 of file preferences.h.

astring m_sDefaultMudDir

Search for all occurrences

Definition at line 155 of file preferences.h.

astring m_sDefaultStampDir

Search for all occurrences

Definition at line 155 of file preferences.h.

astring m_sDefaultStencilDir

Search for all occurrences

Definition at line 155 of file preferences.h.

astring m_sDefaultIconDir

Search for all occurrences

Definition at line 155 of file preferences.h.

astring m_sDefaultImagePlaneDir

Search for all occurrences

Definition at line 155 of file preferences.h.

astring m_sDefaultTextureLayerDir

Search for all occurrences

Definition at line 155 of file preferences.h.

astring m_sDefaultPSDDir

Search for all occurrences

Definition at line 155 of file preferences.h.

astring m_sDefaultSaveScreenDir

Search for all occurrences

Definition at line 155 of file preferences.h.

astring m_sLogPath

Search for all occurrences

Definition at line 157 of file preferences.h.

astring m_sTempPath

Search for all occurrences

Definition at line 157 of file preferences.h.

astring m_sSettingsPath

Search for all occurrences

Definition at line 157 of file preferences.h.

astring m_sDataPath

Search for all occurrences

Definition at line 157 of file preferences.h.

astring m_sTexturePath

Search for all occurrences

Definition at line 158 of file preferences.h.

astring m_sMayaInstallPath

Search for all occurrences

Definition at line 159 of file preferences.h.

abool m_bPathsChanged

Search for all occurrences

Definition at line 165 of file preferences.h.

abool m_bExpertHidesSouth

Search for all occurrences

Definition at line 166 of file preferences.h.

abool m_bExpertHidesEast

Search for all occurrences

Definition at line 166 of file preferences.h.

abool m_bExpertHidesMenu

Search for all occurrences

Definition at line 166 of file preferences.h.

abool m_bExpertHidesStatus

Search for all occurrences

Definition at line 166 of file preferences.h.

aint m_iDragBoxSize

Search for all occurrences

Definition at line 167 of file preferences.h.

abool m_bShowLearningMovies

Search for all occurrences

Definition at line 168 of file preferences.h.

abool m_bShowWelcomeDialog

Search for all occurrences

Definition at line 169 of file preferences.h.

abool m_bShowViewCube

Search for all occurrences

Definition at line 170 of file preferences.h.

abool m_bHUDInfoMessage

Search for all occurrences

Definition at line 171 of file preferences.h.

abool m_bHUDHelpMessage

Search for all occurrences

Definition at line 172 of file preferences.h.

aenum m_iHelpType

Search for all occurrences

Definition at line 173 of file preferences.h.

astring m_sHelpLocation

Search for all occurrences

Definition at line 174 of file preferences.h.

abool m_bCompressFiles

Search for all occurrences

Definition at line 175 of file preferences.h.

abool m_bOBJThumbnail

Search for all occurrences

Definition at line 176 of file preferences.h.

abool m_bMUDContainsView

Search for all occurrences

Definition at line 177 of file preferences.h.

abool m_bMUDContainsBrush

Search for all occurrences

Definition at line 177 of file preferences.h.

abool m_bCull

Search for all occurrences

Definition at line 178 of file preferences.h.

abool m_bCreateBackup

Search for all occurrences

Definition at line 178 of file preferences.h.

abool m_bShowTileInfo

Search for all occurrences

Definition at line 179 of file preferences.h.

aenum m_bRenderSelectedPerFace

Search for all occurrences

Definition at line 181 of file preferences.h.

aint m_iMapWidth

Search for all occurrences

Definition at line 185 of file preferences.h.

aint m_iMapHeight

Search for all occurrences

Definition at line 186 of file preferences.h.

astring m_sOutputDir

Search for all occurrences

Definition at line 187 of file preferences.h.

abool m_bExtractNormal

Search for all occurrences

Definition at line 188 of file preferences.h.

abool m_bExtractDisplacement

Search for all occurrences

Definition at line 189 of file preferences.h.

abool m_bSmoothNormals

Search for all occurrences

Definition at line 190 of file preferences.h.

aint m_iSmoothLevel

Search for all occurrences

Definition at line 191 of file preferences.h.

aint m_iNormalSpace

Search for all occurrences

Definition at line 192 of file preferences.h.

afloat m_fRayTravel

Search for all occurrences

Definition at line 193 of file preferences.h.

aint m_eRayCenter

Search for all occurrences

Definition at line 194 of file preferences.h.

abool m_bPickBothSides

Search for all occurrences

Definition at line 195 of file preferences.h.

aint m_iEdgeBleed

Search for all occurrences

Definition at line 196 of file preferences.h.

aint m_iNormalFormat

Search for all occurrences

Definition at line 197 of file preferences.h.

aint m_iDisplacementFormat

Search for all occurrences

Definition at line 198 of file preferences.h.

aint m_iSubdivLow

Search for all occurrences

Definition at line 199 of file preferences.h.

astring m_sNormalFileName

Search for all occurrences

Definition at line 200 of file preferences.h.

astring m_sDisplacementFileName

Search for all occurrences

Definition at line 201 of file preferences.h.

abool m_bSkipEmptyMaps

Search for all occurrences

Definition at line 202 of file preferences.h.

aint m_iExtUDim

Search for all occurrences

Definition at line 203 of file preferences.h.

aint m_iUStart

Search for all occurrences

Definition at line 204 of file preferences.h.

abool m_bSelectedFacesOnly

Search for all occurrences

Definition at line 205 of file preferences.h.

astring m_sLowObjectName

Search for all occurrences

Definition at line 206 of file preferences.h.

astring m_sHighObjectName

Search for all occurrences

Definition at line 207 of file preferences.h.

abool m_bInvertTangent

Search for all occurrences

Definition at line 208 of file preferences.h.

abool m_bInvertBinormal

Search for all occurrences

Definition at line 209 of file preferences.h.

afloat m_fAreaTreshold

Search for all occurrences

Definition at line 210 of file preferences.h.

astring m_sTileRange

Search for all occurrences

Definition at line 216 of file preferences.h.

afloat m_fMiddleValue

Search for all occurrences

Definition at line 217 of file preferences.h.

aint m_iFirstTileIndex

Search for all occurrences

Definition at line 218 of file preferences.h.

aint m_iDispUDim

Search for all occurrences

Definition at line 218 of file preferences.h.

aint m_iMaskChannel

Search for all occurrences

Definition at line 219 of file preferences.h.

aint m_iNegativeDisplacementChannel

Search for all occurrences

Definition at line 219 of file preferences.h.

aint m_iPositiveDisplacementChannel

Search for all occurrences

Definition at line 219 of file preferences.h.

aint m_iXSubdivisionLevel

Search for all occurrences

Definition at line 220 of file preferences.h.

astring m_sObjectName

Search for all occurrences

Definition at line 221 of file preferences.h.

astring m_sDisplacementFileMask

Search for all occurrences

Definition at line 222 of file preferences.h.

astring m_sMaskFileMask

Search for all occurrences

Definition at line 223 of file preferences.h.

aenum m_eTextureRatio

Search for all occurrences

Definition at line 226 of file preferences.h.

afloat m_fTextureRatio

Search for all occurrences

Definition at line 227 of file preferences.h.

aenum m_eTiffCompression

Search for all occurrences

Definition at line 229 of file preferences.h.

avoid m_lExpertModeLabel

Search for all occurrences

Definition at line 231 of file preferences.h.

abool m_bMultisampling

Search for all occurrences

Definition at line 232 of file preferences.h.

astring m_sNextCommand

Search for all occurrences

Definition at line 233 of file preferences.h.

Store<Attribute *> m_aPluginAttributes

Search for all occurrences

Definition at line 235 of file preferences.h.

aenum m_eMeshRenderers

Search for all occurrences

Definition at line 237 of file preferences.h.

afloatr m_fPaintBleedDistance

Search for all occurrences

Specifies a distance how far the edge bleeding should go over UV edges during painting.

Definition at line 240 of file preferences.h.

afloatr m_fPaintBrushOffset

Search for all occurrences

Definition at line 241 of file preferences.h.

abool m_bFastDryBrush

Search for all occurrences

Definition at line 242 of file preferences.h.

astring m_sExportFilter

Search for all occurrences

Definition at line 243 of file preferences.h.

abool m_bHideEULANag

Search for all occurrences

Definition at line 245 of file preferences.h.

aint m_movieWidth

Search for all occurrences

movie-recording preferences

Definition at line 248 of file preferences.h.

aint m_movieHeight

Search for all occurrences

Definition at line 249 of file preferences.h.

aint m_movieRecordFps

Search for all occurrences

Definition at line 250 of file preferences.h.

aint m_moviePlaybackFps

Search for all occurrences

Definition at line 251 of file preferences.h.

abool m_moviePauseWhenIdle

Search for all occurrences

Definition at line 252 of file preferences.h.

abool m_movieUses3dView

Search for all occurrences

Definition at line 253 of file preferences.h.

astring m_sPaintLayerFormat

Search for all occurrences

Paint layer dialog preferences.

Definition at line 256 of file preferences.h.

aint m_iPaintLayerSize

Search for all occurrences

Definition at line 257 of file preferences.h.

AttributeLocale m_langui

Search for all occurrences

i18n

Definition at line 260 of file preferences.h.

AttributeLocale m_langhelp

Search for all occurrences

Definition at line 261 of file preferences.h.

AttributeLocale m_locale

Search for all occurrences

Definition at line 262 of file preferences.h.

abool m_bUseGigatexelEngine

Search for all occurrences

Gigatexel engine.

Definition at line 265 of file preferences.h.

afloatr m_fPaintBufferMemoryBudget

Search for all occurrences

Definition at line 266 of file preferences.h.

abool m_bLoadProxyTextures

Search for all occurrences

Definition at line 267 of file preferences.h.

astring m_sUILayoutPath

Search for all occurrences

UI layout preferences.

Definition at line 270 of file preferences.h.

abool m_bLockUILayout

Search for all occurrences

Definition at line 271 of file preferences.h.

aenum m_eInteractionModeSelected

Search for all occurrences

Definition at line 274 of file preferences.h.

abool m_bUseTwoChannelTextures

Search for all occurrences

Definition at line 283 of file preferences.h.

abool m_bDisplayCurvePoints

Search for all occurrences

Definition at line 285 of file preferences.h.

bool m_bLoadingPaths

Search for all occurrences

Definition at line 287 of file preferences.h.

The documentation for this class was generated from the following file:

- Mudbox/preferences.h

Preferences Preferences Preferences Preferences Preferences Preferences Preferences Preferences Preferences Preferences
Preferences Preferences Preferences Preferences Preferences Preferences Preferences Preferences Preferences Preferences